terraform {
  backend "s3" {
    # Replace bucket name and region
    bucket = "ocsbc-ami-tfstate-storage"
    key    = "ocsbc-ami/ami/terraform.tfstate"
    region = "us-west-2"

    # Replace DynamoDB table name!
    dynamodb_table = "ocsbc-ami-dynamodb-tfstate-locks"
    encrypt        = true
  }
}

data "terraform_remote_state" "linuxvm" {
  backend = "s3"

 # # Replace bucket name and region
  config = {
    bucket = "ocsbc-ami-tfstate-storage"
    key    = "ocsbc-ami/linuxvm/terraform.tfstate"
    region = "us-west-2"
  }

  workspace = "${terraform.workspace}"


  defaults = {
    REGION    = "us-west-2"
    VOLUME_ID = ""
    SBC_IMAGE = ""
    WORKSPACE = ""
  }
}
